QGIS Application - Feature request #10300
composer: show annotations / canvas items above composer grid
2014-05-18 06:44 AM - Tom Grundy

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18726
Description

For a map with a lot of annotations, the behavior of the composer map item grid in 2.2 being drawn on top of the annotations is not ideal,
some might feel it's a bug. If possible, it would be nice to have the annotations / map canvas items drawn over/above/on-top-of the grid
lines/ticks, either as a default check box setting ("Draw map canvas items on top of grid?"), or as a hardcoded behavior.

Associated revisions

Revision 4a0793d1 - 2017-01-30 06:07 AM - Nyall Dawson

[composer] Draw annotations over grids/overviews (fix #10300)

History

#1 - 2014-05-18 02:12 PM - Nyall Dawson
- Category set to Map Composer/Printing

#2 - 2017-01-30 03:16 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4a0793d1a36719131ee16¢1122a3f1ccb8a29e50".
